# Unicode Digits

## Installation

```bash
yarn add @alwatr/unicode-digits
```

## Usage

```ts
import {UnicodeDigits} from '@alwatr/unicode-digits';

const unicodeDigits = new UnicodeDigits('en');
unicodeDigits.translate('۱۲۳'); // 123
```

## Supported Languages

The following languages are supported:

- English (`en`)
- Arabic (`ar`)
- Persian (`fa`)
- N'Ko (`nko`)
- Hindi (`hi`)
- Bengali (`bn`)
- Punjabi (`pa`)
- Gujarati (`gu`)
- Oriya (`or`)
- Tamil (`ta`)
- Telugu (`te`)
- Kannada (`kn`)
- Malayalam (`mal`)
- Sinhala Lith (`sinhala_lith`)
- Thai (`thai`)
- Lao (`lao`)
- Tibetan (`tibetan`)
- Myanmar (`myanmar`)
- Myanmar Shan (`myanmar_shan`)
- Khmer (`khmer`)
- Mongolian (`mongolian`)
- Limbu (`limbu`)
- New Tai Lue (`new_tai_lue`)
- Tai Tham Hora (`tai_tham_hora`)
- Tai Tham Tham (`tai_tham_tham`)
- Balinese (`balinese`)
- Sundanese (`sundanese`)
- Lepcha (`lepcha`)
- Ol Chiki (`ol_chiki`)
- Vai (`vai`)
- Saurashtra (`saurashtra`)
- Kayah Li (`kayah_li`)
- Javanese (`javanese`)
- Myanmar Tai Laing (`myanmar_tai_laing`)
- Cham (`cham`)
- Meetei Mayek (`meetei_mayek`)
- Fullwidth (`fullwidth`)
- Osmanya (`osmanya`)
- Brahmi (`brahmi`)
- Sora Sompeng (`sora_sompeng`)
- Chakma (`chakma`)
- Sharada (`sharada`)
- Khudawadi (`khudawadi`)
- Newa (`newa`)
- Tirhuta (`tirhuta`)
- Modi (`modi`)
- Takri (`takri`)
- Ahom (`ahom`)
- Warang Citi (`warang_citi`)
- Bhaiksuki (`bhaiksuki`)
- Mro (`mro`)
- Pahawh Hmong (`pahawh_hmong`)
- Mathematical Bold (`mathematical_bold`)
- Mathematical Double-struck (`mathematical_double-struck`)
- Mathematical Sans-serif (`mathematical_sans-serif`)
- Mathematical Sans-serif Bold (`mathematical_sans-serif_bold`)
- Mathematical Monospace (`mathematical_monospace`)
- Fula (`fula`)

## Sponsors

The following companies, organizations, and individuals support Nanolib ongoing maintenance and development. Become a Sponsor to get your logo on our README and website.

### Contributing

Contributions are welcome! Please read our [contribution guidelines](https://github.com/Alwatr/.github/blob/next/CONTRIBUTING.md) before submitting a pull request.

### License

This project is licensed under the [AGPL-3.0 License](LICENSE).
